<?php 
class EstiloEfecto extends AppObjeto{
	
	protected static $_aliasTabla = 'a';
	protected static $_nombreTabla = 'estilo_efecto';
	protected static $_campoPK = 'id_estilo_efecto';
	
	
	protected $ancho;
	protected $alto;
	protected $efecto;
	
	protected $lista_efectos = array(
			1 => 'scale',
			2 => 'recortar'
	);
	
	public static function getAllByEstilo($id_estilo){
		$select = self::camposConsulta();
		$select->where('a.id_estilo='.$id_estilo);
		
		$resultado = self::fetchAll($select);
		
		if(count($resultado)>0){
			
			return self::arrayToObjeto($resultado->toArray());
			
			
		}
		
	}
	
	
	public function setAncho($ancho){
		$this->ancho = $ancho;
	}
	
	public function getAncho(){
		return $this->ancho;
	}
	
	public function setAlto($alto){
		$this->alto = $alto;
	}
	public function getAlto(){
		return $this->alto;
	}
	
	public function setEfecto($efecto){
		$this->efecto = $efecto;
	}
	public function getEfecto(){
		return $this->efecto;
	}
}